%define rname   libxml
%define oname   %{rname}-ruby

Name:       ruby-%{rname}
Version:    5.0.3
Release:    %mkrel 2
Summary:    Ruby libxml bindings
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/xml4r/libxml-ruby
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: libxml2-devel

%description
The Libxml-Ruby project provides Ruby language bindings for the GNOME
Libxml2 XML toolkit. It is free software, released under the MIT License.
Libxml-ruby's primary advantage over REXML is performance - if speed  is
your need, these are good libraries to consider, as demonstrated by the
informal benchmark below.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}


%changelog
* Sun Feb 02 2025 pterjan <pterjan> 5.0.3-2.mga10
+ Revision: 2144447
- Rebuild for Ruby 3.4

* Fri Dec 27 2024 pterjan <pterjan> 5.0.3-1.mga10
+ Revision: 2130627
- Update to 5.0.3
- Rebuild for Ruby 3.3

* Wed Dec 14 2022 pterjan <pterjan> 3.2.4-1.mga9
+ Revision: 1922147
- Update to 3.2.4 (fixes build against libxml 2.10.2)

* Sat Apr 16 2022 pterjan <pterjan> 3.2.2-1.mga9
+ Revision: 1850754
- Update to 3.2.2
- Rebuild for Ruby 3.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 02 2020 pterjan <pterjan> 2.8.0-8.mga8
+ Revision: 1553164
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 2.8.0-7.mga8
+ Revision: 1516647
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 2.8.0-6.mga7
+ Revision: 1300887
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 2.8.0-5.mga7
+ Revision: 1188676
- Rebuild for Ruby 2.5

* Mon Aug 14 2017 pterjan <pterjan> 2.8.0-4.mga7
+ Revision: 1140329
- Rebuild for new Ruby

* Wed Feb 17 2016 umeabot <umeabot> 2.8.0-3.mga6
+ Revision: 962736
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 pterjan <pterjan> 2.8.0-2.mga6
+ Revision: 895689
- Rebuild for ruby 2.2

* Tue Oct 13 2015 pterjan <pterjan> 2.8.0-1.mga6
+ Revision: 890519
- Update to 2.8.0

* Wed Oct 15 2014 umeabot <umeabot> 2.7.0-3.mga5
+ Revision: 745189
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.0-2.mga5
+ Revision: 688854
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 2.7.0-1.mga5
+ Revision: 640697
- 2.7.0

* Sat Dec 28 2013 pterjan <pterjan> 2.6.0-7.mga4
+ Revision: 561675
- Fix gemspec to be able to load it

* Tue Dec 24 2013 pterjan <pterjan> 2.6.0-6.mga4
+ Revision: 560302
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.6.0-5.mga4
+ Revision: 537970
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.6.0-4.mga4
+ Revision: 488203
- update file list
- use gem-setup
+ pterjan <pterjan>
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 2.6.0-2.mga4
+ Revision: 476937
- Fix file list

* Sun Jun 09 2013 fwang <fwang> 2.6.0-1.mga4
+ Revision: 441156
- new version 2.6.0

* Fri Feb 08 2013 umeabot <umeabot> 2.4.0-3.mga3
+ Revision: 396125
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.4.0-2.mga3
+ Revision: 381105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 shikamaru <shikamaru> 2.4.0-1.mga3
+ Revision: 333410
- new version 2.4.0
+ fwang <fwang>
- rebuild for new ruby

* Mon Aug 20 2012 shlomif <shlomif> 2.3.3-1.mga3
+ Revision: 282570
- New version 2.3.3 (thanks to aghero)

* Fri Jun 08 2012 solbu <solbu> 2.3.2-1.mga3
+ Revision: 257159
- New version
- Spec cleanup

* Mon Feb 07 2011 shikamaru <shikamaru> 1.1.3-3.mga1
+ Revision: 48561
- imported package ruby-libxml

